Bug 123442 - mod_jk2 logs error message on startup
mod_jk2 logs error message on startup
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-18 12:11 EDT by Gary Benson
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 12:49:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Benson 2004-05-18 12:11:23 EDT
Description of problem:
mod_jk2 writes a bunch of error messages to httpd's error_log on
startup, one per child along the lines of:

| [Tue May 18 16:47:41 2004] [error] jk2_init() Can't find child 9980
in scoreboard
| [Tue May 18 16:47:41 2004] [error] mod_jk child init 1 -2

Version-Release number of selected component (if applicable):
mod_jk2-4.1.27-14
Comment 1 Sergio A. Kessler 2004-05-30 18:32:25 EDT
# service tomcat restart
# service httpd restart

content of /var/log/httpd/error_log:

[Sun May 30 19:46:17 2004] [error] env.createBean2(): Factory error
creating channel.jni:jni ( channel.jni, jni)
[Sun May 30 19:46:17 2004] [error] config.update(): Can't create
channel.jni:jni
[Sun May 30 19:46:17 2004] [error] env.createBean2(): Factory error
creating vm: ( vm, )
[Sun May 30 19:46:17 2004] [error] config.update(): Can't create vm:
[Sun May 30 19:46:17 2004] [error] env.createBean2(): Factory error
creating worker.jni:onStartup ( worker.jni, onStartup)
[Sun May 30 19:46:17 2004] [error] config.update(): Can't create
worker.jni:onStartup
[Sun May 30 19:46:17 2004] [error] env.createBean2(): Factory error
creating worker.jni:onShutdown ( worker.jni, onShutdown)
[Sun May 30 19:46:17 2004] [error] config.update(): Can't create
worker.jni:onShutdown
[Sun May 30 19:46:18 2004] [error] jk2_init() Can't find child 24232
in scoreboard
[Sun May 30 19:46:18 2004] [notice] workerEnv.init() ok
/etc/httpd/conf/workers2.properties
[Sun May 30 19:46:18 2004] [error] mod_jk child init 1 -2
[Sun May 30 19:46:18 2004] [notice] jk2_init() Found child 24233 in
scoreboard slot 1
[Sun May 30 19:46:18 2004] [notice] workerEnv.init() ok
/etc/httpd/conf/workers2.properties
[Sun May 30 19:46:18 2004] [error] jk2_init() Can't find child 24234
in scoreboard
[Sun May 30 19:46:18 2004] [notice] workerEnv.init() ok
/etc/httpd/conf/workers2.properties
[Sun May 30 19:46:18 2004] [error] mod_jk child init 1 -2
[Sun May 30 19:46:18 2004] [error] jk2_init() Can't find child 24235
in scoreboard
[Sun May 30 19:46:18 2004] [notice] workerEnv.init() ok
/etc/httpd/conf/workers2.properties
[Sun May 30 19:46:18 2004] [error] mod_jk child init 1 -2
[Sun May 30 19:46:18 2004] [error] jk2_init() Can't find child 24236
in scoreboard
[Sun May 30 19:46:18 2004] [notice] workerEnv.init() ok
/etc/httpd/conf/workers2.properties
[Sun May 30 19:46:18 2004] [error] mod_jk child init 1 -2
[Sun May 30 19:46:18 2004] [error] jk2_init() Can't find child 24237
in scoreboard
[Sun May 30 19:46:18 2004] [notice] workerEnv.init() ok
/etc/httpd/conf/workers2.properties
[Sun May 30 19:46:18 2004] [error] mod_jk child init 1 -2
[Sun May 30 19:46:18 2004] [notice] jk2_init() Found child 24238 in
scoreboard slot 6
[Sun May 30 19:46:18 2004] [notice] workerEnv.init() ok
/etc/httpd/conf/workers2.properties
[Sun May 30 19:46:18 2004] [error] jk2_init() Can't find child 24239
in scoreboard
[Sun May 30 19:46:18 2004] [notice] workerEnv.init() ok
/etc/httpd/conf/workers2.properties
[Sun May 30 19:46:18 2004] [error] mod_jk child init 1 -2
[Sun May 30 19:46:18 2004] [notice] Apache/2.0.49 (Fedora) configured
-- resuming normal operations
Comment 2 Matthew Miller 2005-04-26 11:28:34 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 John Thacker 2006-10-28 12:49:54 EDT
FC1 and FC2 are no longer supported even by Fedora Legacy, and this bug refers
to tomcat version 4.x, last shipped in FC2.  tomcat5 replaced it, and has quite
a few differences, so please retest the bug.  If this still occurs on FC3 or
FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.